// Programme for integration by Simson's (1/3)rd Rule

//Name:-
//Roll No.:-
// Div:-          Batch:-
clc
clear
x=[0:0.1:1];
h=0.1;
[nrx,ncx]=size(x);
n=ncx;
y=[1 0.99 0.962 0.917 0.862 0.8 0.735 0.671 0.61 0.553 0.5];
X=y(1,1)+y(1,n);
E=0;
for i=2:n-1
    if (modulo(i,2)~=0) then
        E=E+2*y(1,i)
    end
end
O=0;
for i=2:n-1
    if (modulo(i,2)==0) then
        O=O+4*y(1,i)
    end
end
I=(h/3)*(X+O+E);
 disp('The value of integral by Simpson (1/3)rd Rule is =')
  disp(I)

