// Programme for integration by Simpson's (3/8)th Rule

//Name:-
//Roll No.:-
// Div:-          Batch:-
clc
clear
x=[20:1:26];
h=1;
[nrx,ncx]=size(x);
n=ncx;
y=[95.9 96.85 97.77 98.68 99.56 100.41 101.24];
X=y(1,1)+y(1,n);
R=0;
for i=2:n-1
    if (modulo(i-1,3)~=0) then
        R=R+3*y(1,i)
    end
end
T=0;
for i=2:n-1
    if (modulo(i-1,3)==0) then
        T=T+2*y(1,i)
    end
end
I=(h*3)*(X+T+R)/8;
 disp('The value of integral by Simpson (3/8)th Rule is =')
  disp(I)
